Page MenuHomePhabricator

Track module registry size over time
Closed, ResolvedPublic

Description

Last year's work on T202154 went pretty well, and several product teams are continuing to work on the findings from that epic.

However, while Performance Team is (mostly) done proactively working on extensions to reduce their registration cost, we should still track it over time to avoid regressions.

Details

Event Timeline

Krinkle created this task.Aug 5 2019, 3:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2019, 3:43 PM

Change 528165 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/WikimediaMaintenance@master] Create blameStartupRegistry.php script

https://gerrit.wikimedia.org/r/528165

Krinkle added a comment.EditedAug 5 2019, 3:45 PM

[mediawiki/extensions/WikimediaMaintenance@master] Create blameStartupRegistry.php script
https://gerrit.wikimedia.org/r/528165

Output for enwiki:

Checking 1119 modules...

ComponentModulesBytes
MediaWiki core266 (23.8%)11,592 (23.3%)
(user gadgets)103 (9.2%)5,256 (10.6%)
ContentTranslation111 (9.9%)5,043 (10.1%)
VisualEditor62 (5.5%)3,003 (6%)
Wikibase51 (4.6%)2,140 (4.3%)
TimedMediaHandler54 (4.8%)1,989 (4%)
MobileFrontend39 (3.5%)1,724 (3.5%)
CentralNotice22 (2%)1,176 (2.4%)
MinervaNeue25 (2.2%)1,163 (2.3%)
Kartographer24 (2.1%)1,008 (2%)
UniversalLanguageSelector27 (2.4%)993 (2%)
RevisionSlider18 (1.6%)850 (1.7%)
TwoColConflict14 (1.3%)726 (1.5%)
GuidedTour15 (1.3%)712 (1.4%)
PageTriage14 (1.3%)673 (1.4%)
(unknown)13 (1.2%)656 (1.3%)
CentralAuth13 (1.2%)634 (1.3%)
CodeMirror12 (1.1%)554 (1.1%)
Echo14 (1.3%)545 (1.1%)
GettingStarted9 (0.8%)513 (1%)
Collection9 (0.8%)441 (0.9%)
MassMessage9 (0.8%)394 (0.8%)
MultimediaViewer8 (0.7%)372 (0.7%)
TemplateData7 (0.6%)341 (0.7%)
Math7 (0.6%)314 (0.6%)
AdvancedSearch6 (0.5%)300 (0.6%)
CodeEditor5 (0.4%)281 (0.6%)
RelatedArticles5 (0.4%)252 (0.5%)
Thanks6 (0.5%)250 (0.5%)
Graph7 (0.6%)249 (0.5%)
Abuse Filter6 (0.5%)246 (0.5%)
3d7 (0.6%)217 (0.4%)
Citoid5 (0.4%)216 (0.4%)
MonoBook5 (0.4%)206 (0.4%)
FlaggedRevs5 (0.4%)201 (0.4%)
GlobalPreferences4 (0.4%)192 (0.4%)
ExternalGuidance4 (0.4%)179 (0.4%)
WikiEditor2 (0.2%)173 (0.3%)
EventLogging4 (0.4%)161 (0.3%)
ElectronPdfService3 (0.3%)160 (0.3%)
FancyCaptcha3 (0.3%)147 (0.3%)
ConfirmEdit3 (0.3%)145 (0.3%)
WikiLove4 (0.4%)144 (0.3%)
ORES4 (0.4%)136 (0.3%)
WikimediaEvents3 (0.3%)135 (0.3%)
QuickSurveys3 (0.3%)133 (0.3%)
Timeless4 (0.4%)131 (0.3%)
Cite4 (0.4%)122 (0.2%)

[…]
Untracked modules: ext.cite.visualEditor.core, ext.cite.visualEditor.data, ext.cite.visualEditor, ext.geshi.visualEditor, ext.globalCssJs.user, ext.globalCssJs.user.styles, ext.globalCssJs.site, ext.globalCssJs.site.styles, pdfhandler.messages, ext.visualEditor.mwextensionmessages, ext.wikimediaEvents.visualEditor, mw.cx.externalmessages, ext.quicksurveys.survey.perceived-performance-survey
Sending stats to Graphite...
Done!

Initial data plotted at https://grafana.wikimedia.org/d/BvWJlaDWk/startup-module-size

Ladsgroup edited subscribers, added: Ladsgroup; removed: AnotherLadsgroup.Aug 5 2019, 4:01 PM

Change 528165 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@master] Create blameStartupRegistry.php script

https://gerrit.wikimedia.org/r/528165

Change 528526 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/puppet@production] mediawiki: Introduce startupregistrystats.pp to record RL modules registry

https://gerrit.wikimedia.org/r/528526

Krinkle triaged this task as Normal priority.Aug 6 2019, 5:52 PM
Krinkle assigned this task to Ladsgroup.Aug 6 2019, 5:57 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptAug 6 2019, 5:57 PM
kchapman moved this task from Inbox to Radar on the Performance-Team board.Aug 6 2019, 7:56 PM
kchapman edited projects, added Performance-Team (Radar); removed Performance-Team.

Change 528888 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/WikimediaMaintenance@master] Add startup_js to blameStartupRegistry.php

https://gerrit.wikimedia.org/r/528888

Change 528888 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@master] Add startup_js to blameStartupRegistry.php

https://gerrit.wikimedia.org/r/528888

Change 528526 merged by Alexandros Kosiaris:
[operations/puppet@production] mediawiki: Introduce startupregistrystats.pp to record RL modules registry

https://gerrit.wikimedia.org/r/528526

Ladsgroup closed this task as Resolved.Aug 16 2019, 10:12 PM

\o/

Change 542711 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resourceloader: Expose StartupModule::getConfigSettings for internal use

https://gerrit.wikimedia.org/r/542711

Change 542712 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@wmf/1.35.0-wmf.1] resourceloader: Expose StartupModule::getConfigSettings for internal use

https://gerrit.wikimedia.org/r/542712

Change 542712 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.1] resourceloader: Expose StartupModule::getConfigSettings for internal use

https://gerrit.wikimedia.org/r/542712

Change 543684 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@wmf/1.35.0-wmf.2] resourceloader: Expose StartupModule::getConfigSettings for internal use

https://gerrit.wikimedia.org/r/543684

Change 543684 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.2] resourceloader: Expose StartupModule::getConfigSettings for internal use

https://gerrit.wikimedia.org/r/543684

Mentioned in SAL (#wikimedia-operations) [2019-10-16T20:16:16Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.2/includes/resourceloader/ResourceLoaderStartUpModule.php: Expose StartupModule::getConfigSettings for internal use T235350 T229836 (duration: 00m 59s)

Change 542711 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Expose StartupModule::getConfigSettings for internal use

https://gerrit.wikimedia.org/r/542711